using JinianNet.JNTemplate;
using Microsoft.Extensions.DependencyInjection;
using System;
using ZR.Common;

namespace ZR.Admin.WebApi.Extensions
{
    public static class LogoExtension
    {
        public static void AddLogo(this IServiceCollection services)
        {
            Console.ForegroundColor = ConsoleColor.Blue;
            var contentTpl = JnHelper.ReadTemplate("", "logo.txt");
            var content = contentTpl?.Render();

            Console.WriteLine(content);
            Console.ForegroundColor = ConsoleColor.Blue;
            Console.WriteLine("#########################################################################################");
            Console.WriteLine("##                                                                                     ##");
            Console.WriteLine("##                企业使命 : 推动产业进步,创造无限可能。                               ##");
            Console.WriteLine("##                                                                                     ##");
            Console.WriteLine("##                企业愿景 : 成为半导体基础产品领域值得信赖的引领者。                  ##");
            Console.WriteLine("##                                                                                     ##");
            Console.WriteLine("##                企业核心价值观 : 以客户为中心,以价值创造者为本,持续创新。            ##");
            Console.WriteLine("##                                                                                     ##");
            Console.WriteLine("##                企业经营方针 : 精研需求,技术引领,精益运营,合规高效。                 ##");
            Console.WriteLine("##                                                                                     ##");
            Console.WriteLine("##                企业精神 : 创造精良,成就梦想。                                       ##");
            Console.WriteLine("##                                                                                     ##");
            Console.WriteLine("##                官网地址：https://www.naura.com                                      ##");
            Console.WriteLine("##                                                                                     ##");
            Console.WriteLine("##      Copyright 2023 NAURA 北京七星华创集成电路装备有限公司 All Rights Reserved      ##");
            Console.WriteLine("##                                                                                     ##");
            Console.WriteLine("#########################################################################################");
            Console.WriteLine();
        }
    }
}
